<?php
/**
 * JComments plugin for JDownloads objects support
 *
 * @version 2.3
 * @package JComments
 * @author Sergey M. Litvinov (smart@joomlatune.ru)
 * @copyright (C) 2006-2013 by Sergey M. Litvinov (http://www.joomlatune.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 * 
 * Modified for the jDownloads 3.x series by Arno Betz 
 */

defined('_JEXEC') or die;

class jc_com_jdownloads extends JCommentsPlugin
{
	function getObjectInfo($id, $language = null)
	{
        $db = JFactory::getDBO();
        $query = 'SELECT a.file_id, a.file_title, a.created_id, a.cat_id, a.access'
            .' , CASE WHEN CHAR_LENGTH(c.alias) THEN CONCAT_WS(\':\', c.id, c.alias) ELSE c.id END as catslug'
            .' , CASE WHEN CHAR_LENGTH(a.file_alias) THEN CONCAT_WS(\':\', a.file_id, a.file_alias) ELSE a.file_id END as slug'
            .' FROM #__jdownloads_files AS a'
            .' LEFT JOIN #__jdownloads_categories AS c ON c.id = a.cat_id'
            .' WHERE a.file_id = '. $id
            ;
        $db->setQuery($query);
        $row = $db->loadObject();        
        
		$info = new JCommentsObjectInfo();

		if (!empty($row)) {
			$db->setQuery("SELECT id FROM #__menu WHERE link = 'index.php?option=com_jdownloads&view=category&catid=".$row->cat_id."' and published = 1");
			$Itemid = $db->loadResult();

			if (!$Itemid) {
				$Itemid = self::getItemid('com_jdownloads');
			}
			
			$Itemid = $Itemid > 0 ? '&amp;Itemid='.$Itemid : '';

            $info->category_id = $row->cat_id;
            $info->title = $row->file_title;
            $info->userid = $row->created_id;
            $info->access = $row->access;
            $info->link = JRoute::_('index.php?option=com_jdownloads&amp;view=download&amp;id='.$row->slug.'&amp;catid='.$row->cat_id.$Itemid);
		}
		return $info;
	}
}